package entities

import "github.com/oklog/ulid/v2"

type User struct {
	EntityBase
	Email      string
	Salt       string
	Role       string
	CompanyID  int
	HourlyRate float64
}

type UserCreate struct {
	Email      string
	Password   string
	Role       string
	CompanyID  int
	HourlyRate float64
}

type UserUpdate struct {
	ID         ulid.ULID
	Email      *string
	Password   *string
	Role       *string
	CompanyID  *int
	HourlyRate *float64
}
